File: changelog

package info (click to toggle)
libpam-ldap 186-4
  • links: PTS
  • area: main
  • in suites: bullseye, buster, sid, stretch
  • size: 1,672 kB
  • ctags: 450
  • sloc: ansic: 3,935; sh: 3,264; perl: 361; makefile: 42
file content (748 lines) | stat: -rw-r--r-- 25,404 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
321
322
323
324
325
326
327
328
329
330
331
332
333
334
335
336
337
338
339
340
341
342
343
344
345
346
347
348
349
350
351
352
353
354
355
356
357
358
359
360
361
362
363
364
365
366
367
368
369
370
371
372
373
374
375
376
377
378
379
380
381
382
383
384
385
386
387
388
389
390
391
392
393
394
395
396
397
398
399
400
401
402
403
404
405
406
407
408
409
410
411
412
413
414
415
416
417
418
419
420
421
422
423
424
425
426
427
428
429
430
431
432
433
434
435
436
437
438
439
440
441
442
443
444
445
446
447
448
449
450
451
452
453
454
455
456
457
458
459
460
461
462
463
464
465
466
467
468
469
470
471
472
473
474
475
476
477
478
479
480
481
482
483
484
485
486
487
488
489
490
491
492
493
494
495
496
497
498
499
500
501
502
503
504
505
506
507
508
509
510
511
512
513
514
515
516
517
518
519
520
521
522
523
524
525
526
527
528
529
530
531
532
533
534
535
536
537
538
539
540
541
542
543
544
545
546
547
548
549
550
551
552
553
554
555
556
557
558
559
560
561
562
563
564
565
566
567
568
569
570
571
572
573
574
575
576
577
578
579
580
581
582
583
584
585
586
587
588
589
590
591
592
593
594
595
596
597
598
599
600
601
602
603
604
605
606
607
608
609
610
611
612
613
614
615
616
617
618
619
620
621
622
623
624
625
626
627
628
629
630
631
632
633
634
635
636
637
638
639
640
641
642
643
644
645
646
647
648
649
650
651
652
653
654
655
656
657
658
659
660
661
662
663
664
665
666
667
668
669
670
671
672
673
674
675
676
677
678
679
680
681
682
683
684
685
686
687
688
689
690
691
692
693
694
695
696
697
698
699
700
701
702
703
704
705
706
707
708
709
710
711
712
713
714
715
716
717
718
719
720
721
722
723
724
725
726
727
728
729
730
731
732
733
734
735
736
737
738
739
740
741
742
743
744
745
746
747
748
libpam-ldap (186-4) unstable; urgency=medium

  * Install /usr/share/pam-configs/ldap
      needed for pam-auth-update. (Closes: #863201)

 -- Lucas de Castro Borges <lucas@gnuabordo.com.br>  Wed, 31 May 2017 14:19:41 -0300

libpam-ldap (186-3) unstable; urgency=medium

  * Aplied patch for build reproducibility ( Thanks to Chris Lamb)

 -- Lucas de Castro Borges <lucas@gnuabordo.com.br>  Sat, 11 Feb 2017 02:03:58 -0300

libpam-ldap (186-2) unstable; urgency=medium

  * Bumped Standards-Version to 3.9.8.
  * Updated DH level to 10.
  * Updated Maintainer e-mail address.
  * Added debian/patches/configfile_install.patch:
      - Fix pam_ldap.conf file path. (Closes: #844666)
  * Added debian/patches/configfile_references.patch:
      - Updated references to new config file path.

 -- Lucas de Castro Borges <lucas@gnuabordo.com.br>  Mon, 12 Dec 2016 13:03:15 -0300

libpam-ldap (186-1) unstable; urgency=medium

  * New upstream release
  * Bumped Standard-Version to 3.9.6.
  * Updated DH Level to 9.
  * New  maintainer. Closes: #699116
  * debian/copyright
      - Updated to DEP-5.
  * debian/control
      - Added homepage.
      - Updated build-depends.
  * debian/clean: removed vers.c, which is generated during the build.
  * debian/libpam-ldap.dirs: Removed, directories already created by debhelper.
  * debian/libpam-ldap.install: Updated to match new, clean debian/rules.
  * debian/libpam-ldap.postinst
      - Changed to 'set -e' in code.
  * debian/patches/manpage_fix_spell.patch
      - Added to fix spell typos.
  * debian/rules
      - Removed all the custom code and switched to a clean dh-based makefile.
  * debian/source/format
      - Changed to 3.0 quilt.
  * Acknownledge NMUs. (Closes: #532470, #532476, #532506, #532621, #532962,
    #533243, #533732, #533756, #533877, #534245, #534336, #534390, #534438,
    #546300, #578638, #548000, #537422, #563361, #563615, #579510, #706185,
    #653681, #654163, #655320, #664650)

 -- Lucas de Castro Borges <lucascastroborges@gmail.com>  Mon, 04 Apr 2016 00:25:21 -0300

libpam-ldap (184-8.7) unstable; urgency=medium

  * Non-maintainer upload.
  * Do not remove config files when removing the package from one architecture
    in a multiarch environemnt.  Closes: 706185

 -- Breno Leitao <brenohl@br.ibm.com>  Tue, 22 Jul 2014 14:31:57 +0000

libpam-ldap (184-8.6) unstable; urgency=low

  * Non-maintainer upload.
  * Support multiarch. Closes: #653681, #654163
  * Fix pending l10n issues. Debconf translations:
    - Dutch; (Jeroen Schot).  Closes: #655320
    - Polish (Michał Kułach).  Closes: #664650

 -- Christian Perrier <bubulle@debian.org>  Tue, 27 Mar 2012 18:23:08 +0200

libpam-ldap (184-8.5) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Spanish (Francisco Javier Cuadrado).  Closes: #579510

 -- Christian Perrier <bubulle@debian.org>  Sat, 17 Jul 2010 08:40:25 +0200

libpam-ldap (184-8.4) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "needs versioned dependency on libpam-runtime", thanks to Arthur de
    Jong for providing the info in the bug report (closes: #578638).

 -- gregor herrmann <gregoa@debian.org>  Sun, 23 May 2010 17:25:49 +0200

libpam-ldap (184-8.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Vietnamese (Clytie Siddall).  Closes: #548000
    - Galician (Marce Villarino).  Closes: #537422
    - Norwegian Bokmål (Bjørn Steensrud).  Closes: #563361
    - Simplified Chinese (Ji ZhengYu).  Closes: #563615

 -- Christian Perrier <bubulle@debian.org>  Wed, 06 Jan 2010 22:58:52 +0100

libpam-ldap (184-8.2) unstable; urgency=low

  * Non-maintainer upload.
  * Restore the libsasl2-dev build-dependency, the libnss-ldapd suggests,
    and the libpam-runtime dependency, casualties of the previous NMU.

 -- Steve Langasek <vorlon@debian.org>  Fri, 04 Dec 2009 17:57:31 -0800

libpam-ldap (184-8.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add quilt to build dependencies (fix FTBFS)
  * Add decent copyright and licence information in debian/copyright
  * Add ${misc:Depends} to the binary package dependencies to cover
    dependencies induced by debhelper utilities. Drop debconf
    dependencies that are covered by this
  * Versioned build dependency on debhelper >5
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #531557
  * [Debconf translation updates]
    - Brazilian Portuguese. Closes: #532470
    - Czech. Closes: #532476
    - Finnish. Closes: #532506
    - Japanese. Closes: #532621
    - Slovak. Closes: #532962
    - Portuguese. Closes: #533243
    - Traditional Chinese. Closes: #533732
    - Italian. Closes: #533756
    - Russian. Closes: #533877
    - Swedish. Closes: #534245
    - German. Closes: #534336
    - French. Closes: #534390
    - Basque. Closes: #534438
  * Danish (Frank Damgaard).  Closes: #546300

 -- Christian Perrier <bubulle@debian.org>  Sun, 13 Sep 2009 19:52:51 +0200

libpam-ldap (184-8) unstable; urgency=low

  * debian/libpam-ldap.{pam-auth-update,install,postinst,prerm},
    debian/rules: enable pam_ldap by default using the new
    pam-auth-update support.
  * debian/control: depend on libpam-runtime (>= 1.0.1-6) for the
    above.
  * The above two should fix the upgrade issue Closes: #517971
  * Pickup the lost pieces of the 184-4.2 NMU cleanups
    Mea culpa -- and thanks to Christian Perrier !
  * Set libnss-ldapd as the preferred alternative (over libnss-ldap)

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Wed, 04 Mar 2009 04:42:00 -0000

libpam-ldap (184-7) unstable; urgency=low

  * Build-Depend on quilt

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Sun, 01 Mar 2009 04:12:00 -0000

libpam-ldap (184-6) unstable; urgency=low

  * Use quilt for patches
  * Updated vi.po (thanks Clytie Siddall)     Closes: #513360

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Sat, 28 Feb 2009 06:30:00 -0000

libpam-ldap (184-5) unstable; urgency=low

  * build-depend on libsasl2-dev              Closes: #351176
    so that sasl mechs can be used (was used on my builds, but not buildd)

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Thu, 03 Jul 2007 05:44:00 -0000

libpam-ldap (184-4.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix spelling error in package description. Package description
    rewritten with help of debian-l10n-english. Closes: #502782
  * Fix pending l10n issues. Debconf translations:
    - Italian. Closes: #496322
    - Traditional Chinese. Closes: #503179
    - Bokmål, Norwegian. Closes: #503197
    - Danish. Closes: #503736

 -- Christian Perrier <bubulle@debian.org>  Tue, 28 Oct 2008 22:52:02 +0100

libpam-ldap (184-4.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - Russian. Closes: #480901

 -- Christian Perrier <bubulle@debian.org>  Sat, 19 Jul 2008 10:00:47 +0200

libpam-ldap (184-4) unstable; urgency=low

  * add fi.po                                 Closes: #476790
  * update es.po                              Closes: #415293

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Mon, 21 Apr 2007 04:33:00 -0000

libpam-ldap (184-3) unstable; urgency=low

  * fix cases of pam_pam_ldap in man pages
  * Use newer LDAP libraries

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Sat, 22 Dec 2007 21:10:00 -0000

libpam-ldap (184-2) unstable; urgency=low

  * Add watch file
  * New French debconf translation            Closes: #425894
  * New Vietnamese debconf translation        Closes: #426875
  * Catch bare ldap.secret in file & manpage  Closes: #426727

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Sat, 23 Jun 2007 21:18:00 -0000

libpam-ldap (184-1) unstable; urgency=low

  * Survived i386 and amd64, let it loose

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Mon, 14 May 2007 19:40:00 -0000

libpam-ldap (184-0) private; urgency=low

  * New maintainer
  * New upstream release
  * Bump DH_COMPAT to 5
  * Use (and build-depend on) dh_buildinfo
  * Since cdbs is already in use, let it manage patching
    - 00chfn.patch
    - 00chsh.patch
    - 00log_shadowlastchange_failure.patch
    - 00username_for_memberuid.patch
  * Drop patches applied upstream
    - Fix error passing for PasswordPolicyResponse control responses
  * Test a while...

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Fri, 11 May 2007 05:15:00 -0000

libpam-ldap (180-1.7) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Check for both 'host' and 'uri' in the existing pam_ldap.conf, so
    that uri entries aren't incorrectly discarded on upgrade.  Also
    handle ldapi:/// URIs in the postinst, rather than mistaking this
    for a host entry.  Closes: #407746.
  * Use ldapi:/// as the default server value, not 127.0.0.1, since
    ldapi is going to be more efficient than tcp
  * Incorporate a postinst fix from libnss-ldap, so updates will
    preferentially be made to the first *uncommented* instance of the
    option in pam_ldap.conf, not just the first instance.
  * Incorporate updated debconf templates from libnss-ldap where
    appropriate; thanks to Christian Perrier for the assistance.
  * Debian translations:
    - Copy translations from libnss-ldap. This adds Catalan, Danish,
      Spanish, Galician, Norwegian Bokmål, Russian (all incomplete right now)
    - Include updated Galician translation; thanks to Jacobo Tarrio.
      Closes: #412649.
    - Include updated Brazilian Portuguese translation; thanks to André
      Luis Lopes.  Closes: #411545.
    - Include updated German translation; thanks to Matthias Julius.
      Closes: #413448.
    - Include updated Czech translation; thanks to Miroslave Kure.
      Closes: #413539.
    - Include updated Dutch translation; thanks to Bart Cornelis.
  * Use debconf substitutions for package name and file name in
    templates; no direct benefit to this package alone, but allows
    translators to translate the same string only once for libpam-ldap
    and libnss-ldap.

 -- Steve Langasek <vorlon@debian.org>  Fri,  9 Mar 2007 02:35:03 -0800

libpam-ldap (180-1.6) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - Swedish. Closes: #351309

 -- Christian Perrier <bubulle@debian.org>  Sun,  4 Feb 2007 19:26:54 +0100

libpam-ldap (180-1.5) unstable; urgency=low

  * Non-maintainer upload to fix longstanding l10n issues
  * Debconf translations:
    - German updated. Closes: #395453
    - French updated. Closes: #352412
    - Czech updated. Closes: #360313
    - Dutch added. Closes: #366431
    - Japanese updated. Closes: #394530
    - Portuguese added. Closes: #403508

 -- Christian Perrier <bubulle@debian.org>  Sun,  4 Feb 2007 19:26:52 +0100

libpam-ldap (180-1.4) unstable; urgency=low

  * Non-maintainer upload.
  * Fix a brown paper bag bug in the last upload -- maybe I should check
    shell syntax of my maintainer script fixes before uploading. :/
    Closes: #399787.

 -- Steve Langasek <vorlon@debian.org>  Tue, 21 Nov 2006 17:19:45 -0800

libpam-ldap (180-1.3) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Fix postinst handling to cope with uri values (i.e., ldaps://) in
    addition to host values, instead of erroring out when libnss-ldap
    has been configured first.  Closes: #385950.

 -- Steve Langasek <vorlon@debian.org>  Mon, 20 Nov 2006 05:11:43 -0800

libpam-ldap (180-1.2) unstable; urgency=high

  * NMU for RC security bug.
  * Fix error passing for PasswordPolicyResponse control responses.
    (CVE-2006-5170)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 22 Oct 2006 22:26:58 +0200

libpam-ldap (180-1.1) unstable; urgency=low

  * NMU.
  * debian/control: Remove unnecessary autotool dependencies. (Closes:
    #376654)

 -- Eric Dorland <eric@debian.org>  Sun,  3 Sep 2006 00:33:47 -0400

libpam-ldap (180-1) unstable; urgency=low

  * New upstream release
  * Maintainer upload, Closes: #324899
  * Changed password file to be /etc/pam_ldap.secret, Closes: #302547
  * Change pam_acct_mgmt to use username when groupattr is
    'memberUid', Closes: #292030, #341541
  * Started using upstream's manpage, Closes: #302400, #307628
  * Fix debhelper to use libpam-ldap/override, Closes: #302543, #312928
  * Make pam_password choices translatable, Closes: #338825
  * Fix debconf depends to allow debconf-2.0, Closes: #332002
  * debconf-updatepo run, Closes: #337261
  * Added ldapns.schema to /usr/share/doc/libpam-ldap, Closes: #340581
  * Added vietnamese translation, Closes: #312439
  * Clean up debconf questions, Closes: #312440
  * Updated French translation, Closes: #340199

 -- Stephen Frost <sfrost@debian.org>  Mon, 16 Jan 2006 14:45:33 -0500

libpam-ldap (178-1) unstable; urgency=low

  * New upstream release
  * exop pw change fixed in upstream, Closes: #270412, #284105
  * Added documentation regarding check_host_attr, Closes: #274873, #278615
  * Included updated manpage from Philipp Matthias Hann, Closes: #135462
  * Removed purging of ldap.secrets, might be used by others, Closes: #277203
  * Updated French translation, Closes: #267733
  * Added Japanese translation, Closes: #287075
  * Added Czech translation, Closes: #288023

 -- Stephen Frost <sfrost@debian.org>  Wed, 30 Mar 2005 00:27:06 -0500

libpam-ldap (169-1) unstable; urgency=low

  * New upstream release, Closes: #258810
  * Fixed chsh/chfn, Closes: #240175
  * Added French translation, Closes: #220803
  * Cleaned up templates file, Closes: #214568
  * Added md5 option to templates, Closes: #228818
  * Session bug fixed by upstream, Closes: #221748
  * crypt/anon bind fixed upstream, Closes: #202466

 -- Stephen Frost <sfrost@debian.org>  Sat,  7 Aug 2004 23:57:01 -0400

libpam-ldap (167-1) unstable; urgency=low

  * New upstream.

 -- Stephen Frost <sfrost@debian.org>  Sun, 15 Feb 2004 22:16:41 -0500

libpam-ldap (164-2) unstable; urgency=low

  * Whoops, forgot build-depend on cdbs, fixed.

 -- Stephen Frost <sfrost@debian.org>  Thu,  2 Oct 2003 16:21:44 -0400

libpam-ldap (164-1) unstable; urgency=low

  * New maintainer, moved to CDBS.
  * New upstream release, Closes: #207044.
  * Removed the extrafilter patch, upstream has added functionality
    which replaces it (service-based authorization).
  * Added patch to log when updating shadowlastchange fails, Closes: #165994.
  * Added patch to fix typo in man page, Closes: #208434.
  * Added patch to document pam_min/max_uid, Closes: #109658.
  * Compiled with TLS/SSL support, Closes: #171431, #207045.
  * Moved to po-debconf with supplied patch, Closes: #183956.

 -- Stephen Frost <sfrost@debian.org>  Wed,  1 Oct 2003 13:14:21 -0400

libpam-ldap (156-1) unstable; urgency=low

  * New upstream release
  * rewrote configuration script to use the same format as libnss-ldap
    this makes it aware of the current settings in the configuration.
    (Closes: #153013)
  * Moved the example configuration file to /usr/share/libpam-ldap
  * Bumped the Standards-Version to 3.5.8

 -- Sami Haahtinen <ressu@debian.org>  Sun, 19 Jan 2003 01:20:12 +0200

libpam-ldap (151-1) unstable; urgency=low

  * New upstream release
  * Fixed a bug in ###DEBCONF### handling in configuration.
  * Disabled SSL Disabling? (Closes: #103307)
    - Removed the ugly #undef from ldap_pam.c
    - Removed --disable-ssl from options
    - Added an additional runtime test to keep the logs from
      filling with openldap warnings.

 -- Sami Haahtinen <ressu@debian.org>  Tue, 13 Aug 2002 21:28:47 +0300

libpam-ldap (148-1) unstable; urgency=low

  * New upstream release
  * Upstream now includes the patch to handle forced password expiring.

 -- Sami Haahtinen <ressu@debian.org>  Thu,  9 May 2002 14:09:15 +0300

libpam-ldap (144-1) unstable; urgency=low

  * New upstream release
  * Upstream fix for a security related bug which involves a Format String
    problems. The propability for this bug to affect the security on a
    normally configured system is so small that i won't squeeze this in to
    woody at all. (first affected version was 40)
  * Added Patch from Alexander Zangerl to handle the case where password is
    expired by the admin (by setting the last changed field to 0)
    (Closes: #144175)
  * Fixed extraFilter handling with auth (Closes: #145557)

 -- Sami Haahtinen <ressu@debian.org>  Wed,  8 May 2002 00:19:13 +0300

libpam-ldap (140-1) unstable; urgency=low

  * New upstream release

 -- Sami Haahtinen <ressu@debian.org>  Thu, 14 Mar 2002 23:52:28 +0200

libpam-ldap (138-1) unstable; urgency=medium

  * New upstream release
  * Note to those who use the extra_filter patch, (aka. the filter= parameter)
    i'm planning on dropping the patch in favour of multiple
    configuration-files.
  * geteuid() reverted back to getuid(), this allowed users to change their
    passwords without pamldap prompting for the old password (Closes: #135811)

 -- Sami Haahtinen <ressu@debian.org>  Tue, 26 Feb 2002 19:59:54 +0200

libpam-ldap (135-1) unstable; urgency=low

  * New upstream release

 -- Sami Haahtinen <ressu@debian.org>  Wed,  9 Jan 2002 09:35:28 +0200

libpam-ldap (134-3) unstable; urgency=low

  * Bashed the whole TLS support. (Closes: #122250)
  * Those who want to have SSL/TLS support, remove the #undef LDAP_OPT_X_TLS
    line from pam_ldap.c

 -- Sami Haahtinen <ressu@debian.org>  Tue, 11 Dec 2001 14:15:30 +0200

libpam-ldap (134-2) unstable; urgency=low

  * Modified Makefile not to link to a fixed place. (Closes: #113802)

 -- Sami Haahtinen <ressu@debian.org>  Wed, 28 Nov 2001 21:13:32 +0200

libpam-ldap (134-1) unstable; urgency=low

  * New upstream release
  * Changed the example rootbinddn to cn=admin,ou=people,dc=example,dc=net
    which better reflects the default configuration of OpenLDAP
  * Lower the priority of libpam-ldap/override question (Closes: #108864)
  * package nolonger contains a debian specific patch --disable-ssl, it was
    moved to upstream.
  * Exop bug was fixed upstream, does the same thing as the patch in the
    bugreport (Closes: #118582)
  * Added Brazilian portugese (pt_BR) translation (thanks to Andre Luis Lopes)
    (Closes: #114004)

 -- Sami Haahtinen <ressu@debian.org>  Fri, 16 Nov 2001 23:05:12 +0200

libpam-ldap (118-1) unstable; urgency=low

  * New upstream release
  * Removed the old version of the manual (Closes: #101640)

 -- Sami Haahtinen <ressu@debian.org>  Thu, 21 Jun 2001 00:02:43 +0300

libpam-ldap (116-1) unstable; urgency=low

  * New upstream release

 -- Sami Haahtinen <ressu@debian.org>  Thu, 14 Jun 2001 22:54:12 +0300

libpam-ldap (113-1) unstable; urgency=low

  * New upstream release
  * Fixed the messed up manual page.

 -- Sami Haahtinen <ressu@debian.org>  Sun, 10 Jun 2001 15:37:03 +0300

libpam-ldap (112-1) unstable; urgency=low

  * New upstream release
  * This version contains a patch to allow forced non-ssl builds.

 -- Sami Haahtinen <ressu@debian.org>  Tue,  5 Jun 2001 22:43:03 +0300

libpam-ldap (110-1) unstable; urgency=low

  * New upstream release

 -- Sami Haahtinen <ressu@debian.org>  Mon, 28 May 2001 20:18:06 +0300

libpam-ldap (108-1) unstable; urgency=low

  * New upstream release

 -- Sami Haahtinen <ressu@debian.org>  Sat, 12 May 2001 15:59:00 +0300

libpam-ldap (107-5) unstable; urgency=low

  * fixed bash-ism from postinst (Closes: #95276)

 -- Sami Haahtinen <ressu@debian.org>  Thu, 26 Apr 2001 21:30:05 +0300

libpam-ldap (107-4) unstable; urgency=low

  * there was a mysterious '| ' character in config. (Closes: #94923)

 -- Sami Haahtinen <ressu@debian.org>  Mon, 23 Apr 2001 08:01:27 +0300

libpam-ldap (107-3) unstable; urgency=low

  * Added Debconf question for LDAP version
  * Added Debconf question for pam_password

 -- Sami Haahtinen <ressu@debian.org>  Sun, 22 Apr 2001 11:30:39 +0300

libpam-ldap (107-2) unstable; urgency=low

  * missed one db_input when i was checking for '|| true's fixed now.
    (Closes: #94711)

 -- Sami Haahtinen <ressu@debian.org>  Sat, 21 Apr 2001 19:34:29 +0300

libpam-ldap (107-1) unstable; urgency=low

  * New upstream release
  * manual up to date again.
  * /etc/pam_ldap.conf is no longer a config-file.
  * added debconf support again.

 -- Sami Haahtinen <ressu@debian.org>  Mon, 16 Apr 2001 01:13:08 +0300

libpam-ldap (105-3) unstable; urgency=low

  * corrected README.filter a bit.

 -- Sami Haahtinen <ressu@debian.org>  Wed,  4 Apr 2001 21:08:55 +0300

libpam-ldap (105-2) unstable; urgency=low

  * Added support for filter parameter to allow filtering per
    program basis (closes: #92137)

 -- Sami Haahtinen <ressu@debian.org>  Sun,  1 Apr 2001 16:22:32 +0300

libpam-ldap (105-1) unstable; urgency=low

  * New upstream release
  * Fixed typos in pam_ldap.conf(5) (Closes: #89633)

 -- Sami Haahtinen <ressu@debian.org>  Wed, 14 Mar 2001 22:21:39 +0200

libpam-ldap (99-2) unstable; urgency=low

  * Took over the package from evo

 -- Sami Haahtinen <ressu@debian.org>  Wed, 28 Feb 2001 16:18:40 +0200

libpam-ldap (99-1) unstable; urgency=low

  * New upstream version.
  * I've decided to remove all debconf support from /etc/pam_ldap.conf
    until I manage to find a better way to handle configuration modifications.
    closes: #83803.

 -- Davide Puricelli (evo) <evo@debian.org>  Mon,  5 Feb 2001 19:38:14 +0100

libpam-ldap (82-2) unstable; urgency=low

  * Fixed a stupid typo into debian/templates.

 -- Davide Puricelli (evo) <evo@debian.org>  Fri, 24 Nov 2000 15:38:31 +0100

libpam-ldap (82-1) unstable; urgency=low

  * New upstream version.

 -- Davide Puricelli (evo) <evo@debian.org>  Wed, 15 Nov 2000 18:43:12 +0100

libpam-ldap (77-2) unstable; urgency=low

  * Now we only suggest libnss-ldap; closes: #75263.

 -- Davide Puricelli (evo) <evo@debian.org>  Thu,  2 Nov 2000 17:38:06 +0100

libpam-ldap (77-1) unstable; urgency=low

  * New upstream version.
  * Added debconf support, patch provided by Michael Vogt <mvogt@acm.org>.
  * Standard compliant to 3.2.1

 -- Davide Puricelli (evo) <evo@debian.org>  Sun, 15 Oct 2000 22:14:29 +0200

libpam-ldap (75-1) unstable; urgency=low

  * New upstream version.

 -- Davide Puricelli (evo) <evo@debian.org>  Thu, 12 Oct 2000 17:48:39 +0200

libpam-ldap (74-1) unstable; urgency=low

  * New upstream version.

 -- Davide Puricelli (evo) <evo@debian.org>  Mon,  2 Oct 2000 15:17:47 +0200

libpam-ldap (72-4) unstable; urgency=low

  * Previous version was broken because of libnss-ldap, now
    it works; closes: #71750.

 -- Davide Puricelli (evo) <evo@debian.org>  Mon, 18 Sep 2000 19:23:36 +0200

libpam-ldap (72-3) unstable; urgency=low

  * Compiled against libldap2.

 -- Davide Puricelli (evo) <evo@debian.org>  Thu, 14 Sep 2000 17:10:37 +0200

libpam-ldap (72-2) unstable; urgency=low

  * Added "Build-Depends: libtool" and patched configure
    to run "automake -a"; closes: #70706.

 -- Davide Puricelli (evo) <evo@debian.org>  Fri,  1 Sep 2000 15:31:45 +0200

libpam-ldap (72-1) unstable; urgency=low

  * New upstream version; closes: #67924, #64217, #64220,
    #65130, #67808.
  * Added chsh and chfn into examples; closes: #65295.

 -- Davide Puricelli (evo) <evo@debian.org>  Mon, 28 Aug 2000 19:20:13 +0200

libpam-ldap (43-3) unstable; urgency=low

  * New maintainer.
  * pam.conf:s/"/usr/lib/security"/"/lib/security"; closes: #67319.

 -- Davide Puricelli (evo) <evo@debian.org>  Tue, 22 Aug 2000 18:19:59 +0200

libpam-ldap (43-2) frozen unstable; urgency=low

  * Escape username for search filter, closes: #66114

 -- Ben Collins <bcollins@debian.org>  Thu, 29 Jun 2000 22:43:53 -0400

libpam-ldap (43-1) unstable; urgency=low

  * New upstream version

 -- Ben Collins <bcollins@debian.org>  Mon, 10 Jan 2000 15:16:26 -0500

libpam-ldap (42-2) unstable; urgency=low

  * made sure pam_ldap.so is linked with -lc and -ldl, fixes segfaults,
    closes: #52567
  * reverted some old changes, closes: #48990

 -- Ben Collins <bcollins@debian.org>  Sun, 26 Dec 1999 14:57:52 -0500

libpam-ldap (42-1) unstable; urgency=low

  * New upstream

 -- Ben Collins <bcollins@debian.org>  Sun,  3 Oct 1999 17:27:31 -0400

libpam-ldap (34-1) unstable; urgency=low

  * New upstream source
  * Recompiled against latest libopenldap1

 -- Ben Collins <bcollins@debian.org>  Sat, 12 Jun 1999 13:01:01 -0400

libpam-ldap (32-1) unstable; urgency=low

  * New upstream source

 -- Ben Collins <bcollins@debian.org>  Sat,  8 May 1999 20:48:53 -0400

libpam-ldap (24-1) unstable; urgency=low

  * Another new upstream source

 -- Ben Collins <bcollins@debian.org>  Fri, 16 Apr 1999 12:05:51 -0400

libpam-ldap (23-1) unstable; urgency=low

  * New upstream source

 -- Ben Collins <bcollins@debian.org>  Sun, 11 Apr 1999 12:46:32 -0400

libpam-ldap (22-1) unstable; urgency=low

  * New upstream source
  * Added pam_ldap.conf man page

 -- Ben Collins <bcollins@debian.org>  Tue,  9 Mar 1999 10:35:46 -0500

libpam-ldap (18-2) unstable; urgency=low

  * Added two patches from Jason Gunthorpe to fix one double free() and
    better handling of stacked passwd modules.
  * Added md5 password support with a 'md5' arg

 -- Ben Collins <bcollins@debian.org>  Sat, 20 Feb 1999 01:11:58 -0500

libpam-ldap (18-1) unstable; urgency=low

  * Initial Release.

 -- Ben Collins <bcollins@debian.org>  Fri, 12 Feb 1999 18:16:03 -0500